Bug 128210 - rebuild kernel src rpm fails to build i386 packages (kernel-source etc)
rebuild kernel src rpm fails to build i386 packages (kernel-source etc)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-20 02:45 EDT by Matt Hansen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Hansen 2004-07-20 02:45:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Trying to build a custom kernel rpm from
kernel-2.4.22-1.2197.nptl.src.rpm fails each time for target i386 at
the start of the %install stage:

$ rpmbuild -bi --short-circuit SPECS/kernel-2.4.spec
Executing(%install): /bin/sh -e /home/helios/rpmbuild/tmp/rpm-tmp.17829
+ umask 022
+ cd /home/helios/rpmbuild/BUILD
+ cd kernel-2.4.22
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd linux-2.4.22
+ mkdir -p
/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl.matt-root/boot
/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl.matt-root/sbin
+ rm -f
'/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl.matt-root/lib/modules/*/build'
+ ln -sf ../../../usr/src/linux-2.4.22-1.2197.nptl.matt
'/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl.matt-root/lib/modules/*/build'
ln: creating symbolic link
`/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl.matt-root/lib/modules/*/build'
to `../../../usr/src/linux-2.4.22-1.2197.nptl.matt': No such file or
directory
error: Bad exit status from /home/helios/rpmbuild/tmp/rpm-tmp.17829
(%install)
 
RPM build errors:
    Bad exit status from /home/helios/rpmbuild/tmp/rpm-tmp.17829
(%install)

Although I don't know why the SPEC file doesn't create it
automatically, manually creating a symlink from
/usr/src/linux-2.4.22-1.2197.nptl.matt to
/usr/src/linux-2.4.22-1.2197.nptl did not fix the error. (NOTE that it
DID fix it on one occassion but I've yet to be able to reproduce
success at any other time since with that symlink..)

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2197.nptl

How reproducible:
Always

Steps to Reproduce:
1. installed kernel-source
2. rpm -ivh kernel-2.4.22-1.2197.nptl.src.rpm
3. vi kernel-2.4.spec: disabled 'build{smp,BOOT}'/appended ".matt" to
end of 'Release' field/updated %changelog
4. cd /usr/src/linux-2.4/ && make xconfig: configured options and
saved to /usr/src/linux-2.4/configs/kernel-2.4.22-athlon.config
5. cd ~/rpmbuild/SPECS ; rpmbuild -ba --target i386,athlon --clean
--rmsource --without doc kernel-2.4.spec

Actual Results:  Build process fails each time at the start of
%install while trying to create a symlink from
/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl.matt-root/lib/modules/*/build
to /usr/src/linux-2.4.22-1.2197.nptl.matt because it thinks the target
is non-existent.

Expected Results:  It should build a kernel-source rpm.

Additional info:

Note that specifying target athlon alone will successfully build the
kernel-*-athlon.rpm and kernel-*-athlon.src.rpm packages.

It also seems the SPEC file can't find the source files located in
/usr/src/linux-2.4 (kernel-source is installed):

$ rpmbuild -bl SPECS/kernel-2.4.spec
Processing files: kernel-source-2.4.22-1.2197.nptl
error: File not found:
/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl-root/usr/src/linux-2.4.22-1.2197.nptl
error: File not found by glob:
/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl-root/usr/src/linux-2.4.22-1.2197.nptl/COPYING*
error: File not found:
/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl-root/usr/src/linux-2.4.22-1.2197.nptl/CREDITS
error: File not found:
/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl-root/usr/src/linux-2.4.22-1.2197.nptl/Documentation
error: File not found:
/home/helios/rpmbuild/tmp/kernel-2.4.22-1.2197.nptl-root/usr/src/linux-2.4.22-1.2197.nptl/MAINTAINERS
......
Comment 1 David Lawrence 2004-09-29 16:32:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.